﻿#language: ru

@piece_rate_calculation

Функционал: 08_piece_rate_calculation.01.010 Привязка пользователей к учетным точкам

Сценарий: 08_piece_rate_calculation.01.010 Привязка к УТ Перемещения
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещения (Учетные точки)'
	И Я закрываю окно 'Перемещения (Учетные точки)'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Перемещения'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещения (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку с именем 'ПользователиДобавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'                   |
		| 'Ответственный за перемещения' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Перемещения (Учетные точки) *'
	И в таблице "Пользователи" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Перемещения (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 08_piece_rate_calculation.01.010 Привязка к УТ Посолка
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Посолка'      |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Посолка (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я выбираю текущую строку
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'              |
		| 'Ответственный за выпуск' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Посолка (Учетные точки) *'
	И в таблице "Пользователи" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Посолка (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 08_piece_rate_calculation.01.010 Привязка к УТ Поступления
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поступления'  |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Поступления (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я выбираю текущую строку
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'                   |
		| 'Ответственный за поступление' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Поступления (Учетные точки) *'
	И в таблице "Пользователи" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Поступления (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'

Сценарий: 08_piece_rate_calculation.01.010 Привязка к УТ Сырцех
	И В командном интерфейсе я выбираю 'Администрирование' 'Учетные точки'
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сырцех'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сырцех (Учетные точки)'
	И я перехожу к закладке "Пользователи"
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'   |
		| 'Пользователь' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Сырцех (Учетные точки) *'
	И в таблице "Пользователи" я завершаю редактирование строки
	И в таблице "Пользователи" я нажимаю на кнопку 'Добавить'
	И в таблице "Пользователи" я нажимаю кнопку выбора у реквизита "Пользователь"
	Тогда открылось окно 'Выбор типа данных'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выбор пользователя'
	И в таблице "ПользователиСписок" я перехожу к строке:
		| 'Полное имя'              |
		| 'Ответственный за выпуск' |
	И я нажимаю на кнопку с именем 'ВыбратьПользователя'
	Тогда открылось окно 'Сырцех (Учетные точки) *'
	И в таблице "Пользователи" я завершаю редактирование строки
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Сырцех (Учетные точки) *' в течение 20 секунд
	Тогда открылось окно 'Учетные точки'
	И Я закрываю окно 'Учетные точки'